%define apache_home /var/www
%define fullname %name-%version

Name: packhouse
Version: 1.1.0
Release: alt0.1.pre1

License: GPL
Url: http://lrn.ru/~packhouse/
Packager: Aleksandr Blohin <sass@altlinux.ru>
Summary: %name is program complex for automation of warehouse activity
Summary(ru_RU.KOI8-R): %name       
Group: Office

Source: %fullname-pre1.tar.bz2
Source1: pg-doc.tar.bz2

Patch0: packhouse-1.1.0-pre1-ALT-filepaths.patch
Patch1: packhouse-1.1.0-pre1-ALT-README.patch

BuildArch: noarch
Requires: php => 4.0.5 php-pgsql mod_php apache => 1.3 postgresql => 7.1

%description
Program complex for automation of warehouse and industrial activity,
document circulation, the account of commodity - material assets of
the industrial enterprise.

%description -l ru_RU.KOI8-R
      
, ,   (- )
 .

%prep
%setup -c -n %fullname
%patch0 -p1
%patch1 -p1

%install
%__mkdir_p $RPM_BUILD_ROOT%_datadir/%name/sql
%__mkdir_p $RPM_BUILD_ROOT%_docdir/%fullname/Windows-ODBC-HOWTO
%__mkdir_p $RPM_BUILD_ROOT%apache_home/html/%name/{img,backups}
%__mkdir_p $RPM_BUILD_ROOT%_var/local/packhouse/storage/backups
%__mkdir_p $RPM_BUILD_ROOT%_logdir

%__install -p -m664 -C ./usr/share/doc/packhouse/*.koi8 $RPM_BUILD_ROOT%_docdir/%fullname
%__install -p -m664 -C ./usr/share/doc/packhouse/Windows-ODBC-HOWTO/* $RPM_BUILD_ROOT%_docdir/%fullname/Windows-ODBC-HOWTO
%__install -p -m664 -C ./usr/share/packhouse/sql/{configure-postgres,sampledb,*.sql} $RPM_BUILD_ROOT%_datadir/%name/sql
%__install -p -m755 -C ./usr/share/packhouse/sql/{erasedocuments,newdb*,updatetab} $RPM_BUILD_ROOT%_datadir/%name/sql
%__install -p -m664 -C ./var/www/html/packhouse/*.php $RPM_BUILD_ROOT%apache_home/html/%name
%__install -p -m664 -C ./var/www/html/packhouse/img/* $RPM_BUILD_ROOT%apache_home/html/%name/img
%__install -p -m750 -C ./var/www/html/packhouse/backups/pgbackup $RPM_BUILD_ROOT%apache_home/html/%name/backups

cd $RPM_BUILD_ROOT%_docdir/%fullname/
tar -jxvf %SOURCE1

touch $RPM_BUILD_ROOT%_logdir/pg_error.log

%pre
/usr/sbin/groupadd -r -f keeper >/dev/null 2>&1 || :
/usr/sbin/useradd -r -n -g keeper -d /dev/null -s /dev/null -c keeper keeper &>/dev/null ||:

%post
touch %_logdir/pg_error.log
chown root.postgres %_logdir/pg_error.log
chmod 660 %_logdir/pg_error.log

%files
%doc %_docdir/%name-%version
%_datadir/%name/sql/*
%attr(2771,root,webmaster) %dir %apache_home/html/%name
%attr(2771,root,webmaster) %dir %apache_home/html/%name/img
%attr(2771,root,webmaster) %dir %apache_home/html/%name/backups
%attr(2775,root,postgres) %dir %_var/local/packhouse/storage/backups
%attr(664,root,webmaster) %apache_home/html/%name/*.php
%attr(771,root,webmaster) %apache_home/html/%name/backups/*
%attr(664,root,webmaster) %apache_home/html/%name/img/*
%attr(660,root,postgres) %ghost %_logdir/pg_error.log

%changelog
* Fri Nov 29 2002 Aleksandr Blokhin (Sass) <sass@altlinux.ru> 1.1.0-alt0.1.pre1
- 1.1.0-pre1
- Old patches updated and merged in packhouse-1.1.0-pre1-ALT-filepaths.patch
- Added packhouse-1.1.0-pre1-ALT-README.patch

* Wed Nov 13 2002 Aleksandr Blokhin 'Sass' <sass@altlinux.ru> 1.0.10-alt1
- 1.0.10
- updated spec
- removed obsoleted patches
- added packhouse-1.0.10-adm.patch & packhouse-1.0.10-pgbackup.patch

* Wed Oct 16 2002 Stanislav Ievlev <inger@altlinux.ru> 1.0.8-alt2
- rebuild with gcc3
- removed extra translations

* Wed Apr 10 2002 Aleksandr Blohin <sass@altlinux.ru> 1.0.8-alt1
- new build 1.0.8

* Sat Mar 09 2002 Aleksandr Blohin <sass@altlinux.ru> 1.0.6-alt1
- new build 1.0.6

* Sat Feb 19 2002 Aleksandr Blohin <sass@altlinux.ru> 1.0.4-alt1
- new build 1.0.4
- added pg-pass_operator.patch

* Tue Feb 12 2002 Aleksandr Blohin <sass@altlinux.ru> 1.0.3-alt1
- new build 1.0.3

* Mon Feb 11 2002 Aleksandr Blohin <sass@altlinux.ru> 1.0.2-alt2
- added backup directory

* Wed Feb 06 2002 Aleksandr Blohin <sass@altlinux.ru> 1.0.2-alt1
- 1.0.2
- added manual

* Thu Jan 24 2002 Aleksandr Blohin <sass@altlinux.ru> 1.0.1-alt1
- 1.0.1

* Sat Jan 19 2002 Aleksandr Blohin <sass@altlinux.ru> 1.0-alt2
- updated source
- fixed file permissions

* Mon Jan 14 2002 Aleksandr Blohin <sass@altlinux.ru> 1.0-alt1
- first spec

